OpenSCAD MirrorMeshFeature/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/de |FormelementAufbereiten |NetzelementSkalieren |OpenSCAD |IconL=OpenSCAD_RefineShapeFeature.svg |IconR=OpenSCAD_ScaleMeshFeature.svg |IconC=Workbench_OpenSCAD.svg }}")
(Created page with "==Einschränkungen==")
 
(4 intermediate revisions by the same user not shown)
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/de
|Name=OpenSCAD MirrorMeshFeature
|Name=OpenSCAD MirrorMeshFeature
|MenuLocation=OpenSCAD → Mirror Mesh Feature
|Name/de=OpenSCAD NetzelementSpiegeln
|MenuLocation=OpenSCAD → Netzelement spiegeln
|Workbenches=[[OpenSCAD_Workbench|OpenSCAD]]
|Workbenches=[[OpenSCAD_Workbench/de|OpenSCAD]]
|SeeAlso=[[Part_Mirror|Part Mirror]]
|SeeAlso=[[Part_Mirror/de|Part Spiegelung]]
}}
}}


Line 20: Line 21:
==Beschreibung==
==Beschreibung==


Erstellt ein gespiegeltes Netz-Objekt, gespiegelt über die ausgewählte Achse.
Creates a new mirrored mesh object, mirrored about the selected axis.


<span id="Usage"></span>
<span id="Usage"></span>
Line 30: Line 31:
* A new object is created and mirrored, the original object is rendered hidden.
* A new object is created and mirrored, the original object is rendered hidden.


==Limitations==
<span id="Limitations"></span>
==Einschränkungen==


* The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.
* The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.
Line 37: Line 39:
==Hinweise==
==Hinweise==


* Die Funktion ändert nicht das vorhandene Netz, sondern erstellt ein neues Netz.
* The function does not modify the existing mesh, but returns a new mesh.
* The function can be accessed via Python:
* Auf diese Funktion kann über Python zugegriffen werden:


{{Code|code=
{{Code|code=
Line 50: Line 52:




{{Docnav
{{Docnav/de
|[[OpenSCAD_RefineShapeFeature|Refine Shape Feature]]
|[[OpenSCAD_RefineShapeFeature/de|FormelementAufbereiten]]
|[[OpenSCAD_ScaleMeshFeature|Scale Mesh Feature]]
|[[OpenSCAD_ScaleMeshFeature/de|NetzelementSkalieren]]
|[[OpenSCAD_Workbench|OpenSCAD]]
|[[OpenSCAD_Workbench/de|OpenSCAD]]
|IconL=OpenSCAD_RefineShapeFeature.svg
|IconL=OpenSCAD_RefineShapeFeature.svg
|IconR=OpenSCAD_ScaleMeshFeature.svg
|IconR=OpenSCAD_ScaleMeshFeature.svg

Latest revision as of 18:53, 7 April 2023

Other languages:

OpenSCAD NetzelementSpiegeln

Menüeintrag
OpenSCAD → Netzelement spiegeln
Arbeitsbereich
OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Spiegelung

Beschreibung

Erstellt ein gespiegeltes Netz-Objekt, gespiegelt über die ausgewählte Achse.

Anwendung

  1. Select the mesh object to be mirrored.
  2. Click the OpenSCAD → Mirror Mesh Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A new object is created and mirrored, the original object is rendered hidden.

Einschränkungen

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.

Hinweise

  • Die Funktion ändert nicht das vorhandene Netz, sondern erstellt ein neues Netz.
  • Auf diese Funktion kann über Python zugegriffen werden:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to mirror
original_mesh = App.ActiveDocument.Mesh
mirrored_mesh = OpenSCADUtils.mirrormesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(mirrored_mesh)